Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  package tests
  Definition Classes
    interactive
- CancelException
- CommentPreservingTypers
- CompilerControl
- CondPickler
- ContextTrees
- FreshRunReq
- Global
- InteractiveAnalyzer
- InteractiveReporter
- Lexer
- LogReplay
- Logger
- Main
- MissingResponse
- NoSuchUnitError
- NullLogger
- Pickler
- Picklers
- PresentationCompilerThread
- PrettyWriter
- Problem
- REPL
- RangePositions
- Replayer
- Response
- RichCompilationUnits
- ShutdownReq

o

scala.tools.nsc.interactive

# Main 

###

#### object Main extends MainClass

The main class for NSC, a compiler for the programming language Scala.

Source
  Main.scala

Linear Supertypes
MainClass, EvalLoop, Driver, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Main
2. MainClass
3. EvalLoop
4. Driver
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  var command: CompilerCommand
   Attributes
     protected
   Definition Classes
     Driver
7.  def doCompile(compiler: nsc.Global): Unit
   Definition Classes
     MainClass → Driver
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  def loop(action: (String) ⇒ Unit): Unit
    Definition Classes
      EvalLoop
15.  def main(args: Array[String]): Unit
    Definition Classes
      Driver
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def newCompiler(): nsc.Global
    Definition Classes
      MainClass → Driver
18.  final def notify(): Unit
    Definition Classes
      AnyRef
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
20.  def process(args: Array[String]): Boolean
    Definition Classes
      Driver
21.  def processSettingsHook(): Boolean

    True to continue compilation.

    True to continue compilation.

    Definition Classes
      Main → Driver
22.  val prompt: String
    Definition Classes
      Driver
23.  var reporter: Reporter
    Definition Classes
      Driver
24.  def resident(compiler: nsc.Global): Unit
    Definition Classes
      MainClass
25.  def scalacError(msg: String): Unit

    Forward errors to the (current) reporter.

    Forward errors to the (current) reporter.

    Attributes
      protected
    Definition Classes
      Driver
26.  var settings: Settings
    Attributes
      protected
    Definition Classes
      Driver
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from MainClass

### Inherited from EvalLoop

### Inherited from Driver

### Inherited from AnyRef

### Inherited from Any

### Ungrouped